# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Name:		perl-Test-YAML-Meta
Version:	0.19
Release:	1.%{__distinit}%{__distvers}
Summary:	Validation of the META.yml file in a distribution
License:	Artistic 2.0
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Test-YAML-Meta/
Source0:	http://www.cpan.org/modules/by-module/Test/Test-YAML-Meta-%{version}.tar.gz
Patch0:		Test-YAML-Meta-0.19-utf8.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::CPAN::Meta::YAML) >= 0.17
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Test::Pod::Coverage) >= 0.08
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module was written to ensure that a META.yml file, provided with a
standard distribution uploaded to CPAN, meets the specifications that are
slowly being introduced to module uploads, via the use of
ExtUtils::MakeMaker, Module::Build and Module::Install.

%prep
%setup -q -n Test-YAML-Meta-%{version}

# Re-code LICENSE at UTF-8
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} \;
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
%{__make} test AUTOMATED_TESTING=1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README examples/
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::YAML::Meta.3pm*

%changelog
* Wed Mar 16 2011 Paul Howarth <paul@city-fan.org> - 0.19-1
- Import from Fedora
- Update to 0.19

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.16-2
- Rebuild to fix problems with vendorarch/lib (#661697)

* Wed Jun 30 2010 Mark Chappell <tremble@fedoraproject.org> - 0.16-1
- Update for new upstream version

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.15-2
- Mass rebuild with perl-5.12.0

* Thu Jan  7 2010 Daniel P. Berrange <berrange@redhat.com> - 0.15-1
- Update to 0.15 release

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.12-3
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Daniel P. Berrange <berrange@redhat.com> - 0.12-1
- Update to 0.12 release

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep  5 2008 Daniel Berrange <berrange@redhat.com> - 0.11-1
- Update to 0.11 release

* Fri Feb  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.06-4
- Rebuild for new perl

* Mon Dec 24 2007 Daniel P. Berrange <berrange@redhat.com> - 0.06-3
- Convert LICENSE from iso8859-1 to utf-8
- Add examples to doc

* Sun Dec 23 2007 Daniel P. Berrange <berrange@redhat.com> 0.06-2
- Added YAML and YAML::Syck as build requirements

* Fri Dec 21 2007 Daniel P. Berrange <berrange@redhat.com> 0.06-1
- Specfile autogenerated by cpanspec 1.73
